//
//  TXCStreamingInfo.h
//  TXCPlayerAdapter
//
//  Created by chavezchen on 2021/3/15.
//

#import <Foundation/Foundation.h>
#import "TXCSubStreamInfo.h"

NS_ASSUME_NONNULL_BEGIN

@interface TXCStreamingInfo : NSObject
/// 播放url
@property (nonatomic, copy) NSString *playUrl;
/// 自适应码流子流信息
@property (nonatomic, copy) NSArray<TXCSubStreamInfo *> *subStreams;

- (instancetype)initWithResponse:(NSDictionary *)dict;
@end

NS_ASSUME_NONNULL_END
